import React, { Component } from 'react'
import Taro from '@tarojs/taro'
import { StoreRoot, store } from './store'
import './app.less'

class App extends Component {

  onLaunch (options) {
    // 此处获取不到 state, 因为 app 不会刷新
    const { setUser } = store.getModel('user').getState()
    const { setSysInfo } = store.getModel('sys').getState()

    // 预拉取数据
    wx.getBackgroundFetchData({
      fetchType: 'pre',
      success (res) {
        if (res.errMsg === 'getBackgroundFetchData:ok') {
          const data = JSON.parse(res.fetchedData)
          if (data.code === 1000) {
            setSysInfo(data.data)
          }
        }
      }
    })

    // 登录
    Taro.login({
      success: res => {
        if (res.errMsg === 'login:ok') {
          // res.code
        }
      }
    })
  }

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      <StoreRoot>
        {this.props.children}
      </StoreRoot>
    )
  }
}

export default App
